Job Operation Dependency
The job operation dependency resource.
/jobOperationDependencyList job operation dependencys
Retrieve a paginated list of job operation dependencys. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationDependency?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"operationId": "xyz789",
"dependsOnId": "xyz789",
"jobId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z"
}
]/jobOperationDependencyRetrieve a job operation dependency
Fetch a single job operation dependency by filtering on `operationId`.
Query parameters
operationIdstringMatch on the job operation dependency's `operationId`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/jobOperationDependency?operationId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"operationId": "xyz789",
"dependsOnId": "xyz789",
"jobId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z"
}/jobOperationDependencyCreate a job operation dependency
Create a new job operation dependency.
Body parameters
jobIdstringrequiredReferences job.id
companyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/jobOperationDependency \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"jobId":"xyz789","companyId":"xyz789"}'{
"operationId": "xyz789",
"dependsOnId": "xyz789",
"jobId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z"
}/jobOperationDependencyUpdate a job operation dependency
Update an existing job operation dependency, matched on `operationId`.
Body parameters
jobIdstringrequiredReferences job.id
companyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/jobOperationDependency?operationId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"jobId":"xyz789"}'{
"operationId": "xyz789",
"dependsOnId": "xyz789",
"jobId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z"
}/jobOperationDependencyDelete a job operation dependency
Delete a job operation dependency, matched on `operationId`. Returns 204 No Content.
Query parameters
operationIdstringThe `operationId` of the job operation dependency to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/jobOperationDependency?operationId=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'